summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-04-01 15:53:59 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-08 06:57:41 +0700
commite2fa83f9692d6d52515caca003323813c7360281 (patch)
treedb9dbf4d7a60cf4fb97e35cce0afab6b79c14c17
parent5e435e66cddaba157720082b4121bbf5dbacef17 (diff)
downloadslackbuilds-e2fa83f9692d6d52515caca003323813c7360281.tar.gz
slackbuilds-e2fa83f9692d6d52515caca003323813c7360281.tar.xz
system/makefile2graph: Added (dependency graphs from Makefile).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/makefile2graph/README16
-rw-r--r--system/makefile2graph/makefile2graph.SlackBuild67
-rw-r--r--system/makefile2graph/makefile2graph.info10
-rw-r--r--system/makefile2graph/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/system/makefile2graph/README b/system/makefile2graph/README
new file mode 100644
index 0000000000..6df1fa180b
--- /dev/null
+++ b/system/makefile2graph/README
@@ -0,0 +1,16 @@
+makefile2graph (creates a dependency graph from a Makefile)
+
+Creates a graph of dependencies from GNU make Makefile.
+
+Output is a graphviz dot file, a Gexf-XML file, or a list of the deepest
+independent targets that should be made. Sub-Makefiles are not supported.
+
+Optional dependencies: To actually generate visual graphs, you will need
+or or both of:
+
+graphics/graphviz
+graphics/graph-easy
+
+Example: If there's a Makefile in the current directory, try this:
+
+ make -Bnd | make2graph | dot -Tpng > graph.png
diff --git a/system/makefile2graph/makefile2graph.SlackBuild b/system/makefile2graph/makefile2graph.SlackBuild
new file mode 100644
index 0000000000..366e81ff41
--- /dev/null
+++ b/system/makefile2graph/makefile2graph.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for makefile2graph
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=makefile2graph
+VERSION=${VERSION:-1.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod 644 *
+
+make -j1 \
+ CFLAGS="$SLKCFLAGS -Wl,-s" DESTDIR=$PKG \
+ prefix=/usr man1dir=/usr/man/man1 pkgdocdir=/usr/doc/$PRGNAM-$VERSION \
+ all install
+
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/* $PKG/usr/man/man1/*
+gzip -9 $PKG/usr/man/man1/*.1
+ln -s make2graph.1.gz $PKG/usr/man/man1/$PRGNAM.1.gz
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/makefile2graph/makefile2graph.info b/system/makefile2graph/makefile2graph.info
new file mode 100644
index 0000000000..2a85e06f16
--- /dev/null
+++ b/system/makefile2graph/makefile2graph.info
@@ -0,0 +1,10 @@
+PRGNAM="makefile2graph"
+VERSION="1.5.0"
+HOMEPAGE="https://github.com/lindenb/makefile2graph"
+DOWNLOAD="https://github.com/lindenb/makefile2graph/archive/v1.5.0/makefile2graph-1.5.0.tar.gz"
+MD5SUM="7eb822eced522ef03ab29c893e59d2d3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/makefile2graph/slack-desc b/system/makefile2graph/slack-desc
new file mode 100644
index 0000000000..41bcf96f2d
--- /dev/null
+++ b/system/makefile2graph/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+makefile2graph: makefile2graph (creates a dependency graph from a Makefile)
+makefile2graph:
+makefile2graph: Creates a graph of dependencies from GNU make Makefile.
+makefile2graph:
+makefile2graph: Output is a graphviz dot file, a Gexf-XML file, or a list of the
+makefile2graph: deepest independent targets that should be made.
+makefile2graph:
+makefile2graph: sub-makefiles are not supported.
+makefile2graph:
+makefile2graph:
+makefile2graph: